# $Revision: 1.10 $, $Date: 2006/04/22 18:48:19 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package (requires Windows license)
#
%define		base_name		fonts-TTF-microsoft-tahoma
Summary:	Microsoft Tahoma True Type font
Summary(pl):	Font True Type Tahoma firmy Microsoft
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	20020525
%define		_rel	3
Release:	%{_rel}%{?with_license_agreement:wla}
# part of IE update - requires Windows license to use
License:	Windows EULA
Group:		Fonts
%if %{with license_agreement}
Source0:	http://download.microsoft.com/download/ie6sp1/finrel/6_sp1/W98NT42KMeXP/EN-US/IELPKTH.CAB
# NoSource0-md5: 358584cddb75ac90472c25f01b308ebe
NoSource:	0
BuildRequires:	cabextract
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
%else
Source1:	license-installer.sh
Requires:	cabextract
Requires:	rpm-build-tools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF

%description
Microsoft Tahoma True Type font.

%description -l pl
Font True Type Tahoma firmy Microsoft.

%prep
%if %{with license_agreement}
%setup -q -c -T
%{_bindir}/cabextract -L %{SOURCE0}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@USE_DISTFILES@,no,g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{ttffontsdir}
install *.ttf $RPM_BUILD_ROOT%{ttffontsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with license_agreement}
%post
fontpostinst TTF

%postun
fontpostinst TTF

%else
%post
echo "
License issues made us not to include inherent files into this package
by default (You need Windows license). If you want to create full
working package please build it with the following command:

%{_bindir}/%{base_name}.install --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
"
%endif

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%{ttffontsdir}/*
%else
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fonts-TTF-microsoft-tahoma.spec,v $
Revision 1.10  2006/04/22 18:48:19  glen
- rel 3

Revision 1.9  2006/04/22 18:46:43  glen
- wget required by rpm-build-tools
- cleanups

Revision 1.8  2006/01/02 11:01:33  glen
- run script in %post

Revision 1.7  2005/08/28 15:36:42  glen
- use shared license-installer.sh script from SOURCES
- includes copy-pasto fixes, like using inexistent Microsot-EULA.txt
- rel 2

Revision 1.6  2005/06/05 21:19:02  qboosh
- bcond header cleanup

Revision 1.5  2004/12/08 06:12:27  ankry
- R: cabextract

Revision 1.4  2004/11/17 06:14:22  ankry
- use w32codec instalation mechanism

Revision 1.3  2004/10/23 09:39:52  troll
- new bcond type

Revision 1.2  2003/07/27 19:26:05  ankry
- typo

Revision 1.1  2003/07/27 18:23:08  qboosh
- remaining font from msttcorefonts collection (different legal situation)
